dnie-tool
1
OpenSC
OpenSC Tools
opensc

# dnie-tool

displays information about DNIe based security tokens

    			dnie-tool
    			OPTIONS

## Description

The `dnie-tool` utility is used to display additional information about DNIe, the Spanish National eID card.

## Options

`--idesp`, `-i`

  Show the DNIe IDESP value.

`--data`, `-d`

  Show DNIe personal information. Reads and print DNIe number and User Name and SurName

`--all`, `-a`

  Displays every available information. This command is equivalent to -d -i -V -s

`--serial`, `-s`

  Displays DNIe Serial Number

`--version`, `-V`

  Show DNIe sw version. Displays software version for in-card DNIe OS

`--pin` pin, `-p` pin

  Specify the user pin pin to use. If set to env:VARIABLE, the value of the environment variable VARIABLE is used. The default is do not enter pin

`--reader` arg, `-r` arg

  Number of the reader to use. By default, the first reader with a present card is used. If arg is an ATR, the reader with a matching card will be chosen.

`--driver` driver, `-c` driver

  Specify the card driver driver to use. Default is use driver from configuration file, or auto-detect if absent

`--wait`, `-w`

  Causes `dnie-tool` to wait for the token to be inserted into reader.

`--verbose`, `-v`

  Causes `dnie-tool` to be more verbose. Specify this flag several times to enable debug output in the opensc library.

## Authors

`dnie-tool` was written by Juan Antonio Martinez jonsito@terra.es.